aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authoromni <omni+alpine@hack.org>2023-06-02 04:02:14 +0000
committerpsykose <alice@ayaya.dev>2023-07-21 00:30:40 +0000
commit43d51bdd220860809c92055989380eb5e289c716 (patch)
tree36696848ffe15ce1b26a47030960dd2a01e3b682
parent700b95ce7fe44f90b77cab6962675fd427548a0e (diff)
community/opencpn: upgrade to 5.8.4
-rw-r--r--community/opencpn/APKBUILD17
-rw-r--r--community/opencpn/gcc12.patch12
-rw-r--r--community/opencpn/rapidjson.patch22
3 files changed, 46 insertions, 5 deletions
diff --git a/community/opencpn/APKBUILD b/community/opencpn/APKBUILD
index 5f4644018f1..469cf38cecf 100644
--- a/community/opencpn/APKBUILD
+++ b/community/opencpn/APKBUILD
@@ -3,8 +3,8 @@
# Contributor: omni <omni+alpine@hack.org>
# Maintainer: ScrumpyJack <scrumpyjack@st.ilet.to>
pkgname=opencpn
-pkgver=5.6.2
-pkgrel=2
+pkgver=5.8.4
+pkgrel=0
pkgdesc="OpenCPN is a cross platform electronic navigation system"
url="https://opencpn.org/"
arch="all"
@@ -13,17 +13,20 @@ depends="gpsd"
makedepends="
cmake
curl-dev
+ elfutils-dev
eudev-dev
+ glew-dev
glu-dev
+ jasper-dev
libarchive-dev
libexif-dev
- libsndfile-dev
libusb-dev
linux-headers
lsb-release
lz4-dev
musl-legacy-error
portaudio-dev
+ rapidjson-dev
samurai
sqlite-dev
tinyxml-dev
@@ -33,8 +36,10 @@ subpackages="$pkgname-doc $pkgname-lang"
source="
$pkgname-$pkgver.tar.gz::https://github.com/OpenCPN/OpenCPN/archive/refs/tags/Release_$pkgver.tar.gz
gcc12.patch
+ rapidjson.patch
"
builddir="$srcdir/OpenCPN-Release_$pkgver"
+options="!check" # todo
build() {
CXXFLAGS="$CXXFLAGS -flto=auto" \
@@ -45,6 +50,7 @@ build() {
-DOCPN_BUNDLE_GSHHS=CRUDE \
-DOCPN_BUNDLE_TCDATA=ON \
-DOCPN_USE_BUNDLED_LIBS=OFF \
+ -DOCPN_BUILD_TEST="$(want_check && echo ON || echo OFF)" \
-DOCPN_BUNDLE_DOCS=ON
cmake --build build
}
@@ -54,6 +60,7 @@ package() {
}
sha512sums="
-6d90b21448b2d2a58685592e92647108978012cbaa25999d98855dca222e013784ca4e351eb08efd0a18980cccffb28b0d3c171ea9207e5fb37889e3a3b377e3 opencpn-5.6.2.tar.gz
-11750a58a77aa863f340b969ff88044c6169896b9d9741fb7e7aa7a31178d46ab140e3e3c4c66ed2abafd62323f9ac17c38d9d4a197f15ff48d686f2fe6ff053 gcc12.patch
+08231d95ca80a5e6b85b279be2912d3e9f390f879a780823f8ee9c64371eb0605484f697328217027c7caf18cb1151b617d42d22951672c1a9508750e97f109a opencpn-5.8.4.tar.gz
+d2cc0b3212258f8c086607fc9e6b8ed47172c53fcf33f401addecbdd3215199ea6900c44979e66083dca39ae0610bdf4256604edae47adccaac4df39cfa775db gcc12.patch
+401f74070e3a3f220a547e81b23eefe78b76b39391affd4af58566393890b2565cc3725736fcbf354868c85aebbff2169e049ec92f6836b04ba197ff7dbd64fb rapidjson.patch
"
diff --git a/community/opencpn/gcc12.patch b/community/opencpn/gcc12.patch
index f75b3f56d62..c1da0855551 100644
--- a/community/opencpn/gcc12.patch
+++ b/community/opencpn/gcc12.patch
@@ -19,3 +19,15 @@ index 60ae125..3e7607a 100644
-#endif // ZEROCONF_DETAIL_HPP
\ No newline at end of file
+#endif // ZEROCONF_DETAIL_HPP
+diff --git a/src/mDNS_service.cpp b/src/mDNS_service.cpp
+index c8c7877..3fbd7ea 100644
+--- a/src/mDNS_service.cpp
++++ b/src/mDNS_service.cpp
+@@ -35,6 +35,7 @@
+ #endif
+
+ #include <stdio.h>
++#include <sys/select.h>
+
+ #include <errno.h>
+ #include <signal.h>
diff --git a/community/opencpn/rapidjson.patch b/community/opencpn/rapidjson.patch
new file mode 100644
index 00000000000..aebbb5b2ddc
--- /dev/null
+++ b/community/opencpn/rapidjson.patch
@@ -0,0 +1,22 @@
+diff --git a/CMakeLists.txt b/CMakeLists.txt
+index 1b31994..a4f8bf5 100644
+--- a/CMakeLists.txt
++++ b/CMakeLists.txt
+@@ -1276,8 +1276,7 @@ target_link_libraries(${PACKAGE_NAME} PRIVATE pico_sha2)
+ add_subdirectory(libs/mongoose)
+ target_link_libraries(${PACKAGE_NAME} PUBLIC ocpn::mongoose)
+
+-add_subdirectory(libs/rapidjson)
+-target_link_libraries(${PACKAGE_NAME} PUBLIC ocpn::rapidjson)
++find_package(RapidJSON)
+
+ add_subdirectory(libs/mDNS)
+ target_link_libraries(${PACKAGE_NAME} PUBLIC ocpn::mDNS)
+@@ -3152,7 +3151,6 @@ if (NOT QT_ANDROID)
+ target_link_libraries(opencpn-cmd PRIVATE ocpn::N2KParser)
+ target_link_libraries(opencpn-cmd PRIVATE ocpn::nmea0183)
+ target_link_libraries(opencpn-cmd PRIVATE ocpn::pugixml)
+- target_link_libraries(opencpn-cmd PRIVATE ocpn::rapidjson)
+ target_link_libraries(opencpn-cmd PRIVATE ocpn::s52plib)
+ target_link_libraries(opencpn-cmd PRIVATE ocpn::serial)
+ target_link_libraries(opencpn-cmd PRIVATE ocpn::sound)